## video-coreservices.zip

=== cloudwatch-alarm-cdk/requirements.txt ===
-e .
aws-cdk.core==1.121.0
aws-cdk.aws-events==1.121.0
aws-cdk.aws-events-targets==1.121.0
aws-cdk.aws-iam==1.121.0
aws-cdk.aws-lambda==1.121.0
aws-cdk.aws-cloudwatch==1.121.0
aws-cdk.aws-logs==1.121.0
aws-cdk.aws-sns==1.121.0
aws-cdk.aws-s3-assets==1.121.0
aws-cdk.aws-sns_subscriptions==1.121.0
pyyaml==5.3.1
requests==2.7.0

=== consul-ansible/requirements.txt ===
ansible==3.3.0
requests==2.25.1
pysocks==1.7.1
jmespath==0.10.0

=== consul-backinator-lambda/Makefile ===
cli:
	@go build ./cmd/backup-cli

lambda:
	@GOOS=linux go build ./cmd/backup-lambda

clean:
	@git clean -f

=== diamond/Makefile ===
.EXPORT_ALL_VARIABLES:

SHELL := /bin/bash
DIST := bionic xenial

PACKER_VERSION = 1.7.3

UNAME := $(shell uname -s)
ifeq ($(UNAME),Linux)
    OS := linux
    WGET := wget -c -q
else
    OS := darwin
    WGET := curl -fsSO
endif

PACKER_ARCHIVE := packer_$(PACKER_VERSION)_$(OS)_amd64.zip


all: packer $(DIST)

$(PACKER_ARCHIVE):
	$(WGET) "https://releases.hashicorp.com/packer/$(PACKER_VERSION)/$(PACKER_ARCHIVE)"

packer: clean $(PACKER_ARCHIVE)
	unzip $(PACKER_ARCHIVE)

xenial: packer
	./packer build -var-file=variables/xenial.json packer.json

bionic: packer
	./packer build -var-file=variables/bionic.json packer.json

clean:
	for dist in $(DIST); do rm -rf "ip-$${dist}" "ip-$${dist}-twitch" "ip-amzn-$${dist}"; done
	rm -rf ./packer

.PHONY: all $(DIST) clean

=== dmidecode/Makefile ===
.EXPORT_ALL_VARIABLES:

SHELL := /bin/bash
DIST := bionic

PACKER_VERSION = 1.7.0
all: packer $(DIST)

packer: clean
	wget -c -q "https://releases.hashicorp.com/packer/$(PACKER_VERSION)/packer_$(PACKER_VERSION)_linux_amd64.zip"
	unzip packer_$(PACKER_VERSION)_linux_amd64.zip

bionic: clean
	DISTRO_CODENAME=bionic DISTRO_VERSION=18.04 ./packer build packer.json

clean:
	for dist in $(DIST); do rm -rf "ip-$${dist}-twitch"; done
	rm -rf ./packer

.PHONY: all $(DIST) clean

=== dns-root-data/Makefile ===
all: clean
	manta -v -f src/manta.json
clean:
	rm -rf src/build

.PHONY: all clean

=== ecs-fargate-scheduled-task/Makefile ===
ifneq (,)
.error This Makefile requires GNU Make.
endif

.PHONY: hooks validate changelog

help:
	@grep -E '^[a-zA-Z0-9_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

hooks: ## Commit hooks setup
	@pre-commit install
	@pre-commit gc
	@pre-commit autoupdate

validate: ## Validate files with pre-commit hooks
	@pre-commit run --all-files

changelog:
	git-chglog -o CHANGELOG.md

=== ethtool/Makefile ===
.EXPORT_ALL_VARIABLES:

SHELL := /bin/bash
DIST := bionic xenial centos7

PACKER_VERSION = 1.6.5

UNAME := $(shell uname -s)
ifeq ($(UNAME),Linux)
    OS := linux
    WGET := wget -c -q
else
    OS := darwin
    WGET := curl -fsSO
endif

PACKER_ARCHIVE := packer_$(PACKER_VERSION)_$(OS)_amd64.zip


all: packer $(DIST)

$(PACKER_ARCHIVE):
	$(WGET) "https://releases.hashicorp.com/packer/$(PACKER_VERSION)/$(PACKER_ARCHIVE)"

packer: clean $(PACKER_ARCHIVE)
	unzip $(PACKER_ARCHIVE)

xenial: packer
	DISTRO_NAME=ubuntu DISTRO_CODENAME=xenial DISTRO_VERSION=16.04 BUILD_TYPE=deb OUTPUT_DIR=ip-xenial-twitch ./packer build packer.json

clean:
	for dist in $(DIST); do rm -rf "ip-$${dist}" "ip-$${dist}-twitch"; done
	rm -rf ./packer

.PHONY: all $(DIST) clean

=== go-statsd-proxy/Makefile ===
export GOBIN := $(CURDIR)/bin

LINTER_VERSION := v1.27.0
LINTER := $(GOBIN)/golangci-lint-$(LINTER_VERSION)

# These values are included in the build to provide
# extra information in application logs.
NOW := $(shell date -u +'%Y-%m-%dT%H:%M:%SZ')
COMMIT := $(shell git rev-parse --short HEAD)

LDFLAGS = -s -w \
-X \"main.commit=$(COMMIT)\" \
-X \"main.date=$(NOW)\"

all: build
.PHONY: all

lint: $(LINTER)
	@ $(LINTER) run --timeout=10m
.PHONY: lint

test:
	go test -cover -race ./...
.PHONY: test

check: lint test
.PHONY: check

build: check
	go build -ldflags="$(LDFLAGS)" -o="$(out)" ./cmd/go-statsd-proxy

run: build
	./go-statsd-proxy
.PHONY: run

$(LINTER):
	./scripts/get-linter.sh $(LINTER_VERSION)

=== haproxy/Makefile ===
.EXPORT_ALL_VARIABLES:

SHELL := /bin/bash
DIST := bionic xenial centos7 al2

PACKER_VERSION = 1.5.5
ECR_LOGIN = false

UNAME := $(shell uname -s)
ifeq ($(UNAME),Linux)
    OS := linux
    WGET := wget -c -q
else
    OS := darwin
    WGET := curl -fsSO
endif

PACKER_ARCHIVE := packer_$(PACKER_VERSION)_$(OS)_amd64.zip


all: packer $(DIST)

$(PACKER_ARCHIVE):
	$(WGET) "https://releases.hashicorp.com/packer/$(PACKER_VERSION)/$(PACKER_ARCHIVE)"

packer: clean $(PACKER_ARCHIVE)
	unzip $(PACKER_ARCHIVE)

xenial: packer
	DISTRO_NAME=ubuntu DISTRO_CODENAME=xenial DISTRO_VERSION=16.04 BUILD_TYPE=deb OUTPUT_DIR=ip-xenial-twitch ./packer build packer.json

bionic: packer
	DISTRO_NAME=ubuntu DISTRO_CODENAME=bionic DISTRO_VERSION=18.04 BUILD_TYPE=deb OUTPUT_DIR=ip-bionic-twitch ./packer build packer.json

centos7: packer
	DISTRO_NAME=centos DISTRO_CODENAME=centos DISTRO_VERSION=7 BUILD_TYPE=rpm OUTPUT_DIR=ip-centos7 ./packer build packer.json

al2: packer
	DISTRO_NAME=amazonlinux DISTRO_CODENAME=al2 DISTRO_VERSION=latest BUILD_TYPE=rpm OUTPUT_DIR=ip-amzn-al2 ECR_LOGIN=true LOGIN_SERVER=137112412989.dkr.ecr.us-east-1.amazonaws.com LOGIN_USERNAME=AWS ./packer build packer.json

clean:
	for dist in $(DIST); do rm -rf "ip-$${dist}" "ip-$${dist}-twitch" "ip-amzn-$${dist}"; done
	rm -rf ./packer

.PHONY: all $(DIST) clean

=== initramfs_hwraid/Makefile ===
PACKER = packer

packer_build:
	$(PACKER) build xenial.json
	$(PACKER) build bionic.json

jenkins_build:
	$(PACKER) build -color=false xenial.json
	$(PACKER) build -color=false bionic.json

clean:
	rm -rf output/*iotools.xz
.PHONY: packer_build jenkins_build

=== kontron_lambda/requirements.txt ===
chalice==1.9.1
requests==2.22.0

=== diamond/debian/changelog ===
video-diamond (4.0.515) stable; urgency=medium

  * Initial release.

 -- Video Core Services <video-coreservices@twitch.tv>  Wed, 30 Jun 2021 22:24:42 +0000

=== diamond/debian/control ===
Source: video-diamond
Section: misc
Priority: extra
Maintainer: Video Core Services <video-coreservices@twitch.tv>
Homepage: https://git.xarth.tv/video-coreservices/diamond
Build-Depends: debhelper (>= 9), python, dh-virtualenv (>= 0.8)
Standards-Version: 3.9.5
 
Package: video-diamond
Architecture: any
Depends: python
Description: System statistics collector for Graphite.
 Diamond is a daemon and toolset for gathering system statistics
 and publishing them to Graphite.

=== diamond/debian/rules ===
#!/usr/bin/make -f
export DH_VIRTUALENV_INSTALL_ROOT=/opt/twitch

%:
	dh $@ --with python-virtualenv
